#!/bin/bash

if grep -q ubuntu-plasma /etc/apt/sources.list.d/*; then
    echo "Neon not found, exit"
    exit 0
fi

systemctl mask packagekit
killall -9 DiscoverNotifier

llang=$(echo "$LANG" | awk -F\_ '{print $1}')

if [ "$EUID" -ne 0 ]; then
    if [ "$llang" = "de" ]; then
	echo "Das Script muss als Root ausgeführt werden"
    else
	echo "You need to run this script as root!"
    fi
    exit 1
fi

if dpkg -l | grep -q kdepim-addons; then
    pimaddons="1"
else
    pimaddons="0"
fi

rm -rf /etc/apt/apt.conf.d/99*
rm -rf /etc/apt/apt.conf.d/98*

echo "apt-get -y ~c"
read -p "Enter"
DEBIAN_FRONTEND=noninteractive apt-get update
DEBIAN_FRONTEND=noninteractive apt-get -y purge ~c
DEBIAN_FRONTEND=noninteractive apt-get -y autopurge

if [ "$llang" = "de" ]; then
    echo "Kopiere neue Apt Sourcen und Preferences"
else
    echo "Copy new apt sources and preferences"
fi
read -p "Enter"
cp -af /usr/share/tuxedo/*.sources /etc/apt/sources.list.d/
cp -af /usr/share/tuxedo/30-* /etc/apt/preferences.d/
cp -af /usr/share/tuxedo/10-* /etc/apt/preferences.d/
cp -af /usr/share/tuxedo/9*-* /etc/apt/apt.conf.d/
echo ""

if [ "$llang" = "de" ]; then
    echo "Aktualisiere Paketquellen"
else
    echo "Update package sources"
fi
read -p "Enter"
apt-get update

echo "Full-Upgrade"
read -p "Enter"
DEBIAN_FRONTEND=noninteractive apt-get --allow-downgrades --download-only --assume-yes  dist-upgrade
DEBIAN_FRONTEND=noninteractive apt-get --allow-downgrades --assume-yes -o dpkg::options::="--force-confold" -o dpkg::options::="--force-confold" dist-upgrade --auto-remove
DEBIAN_FRONTEND=noninteractive apt-get -y purge $(dpkg -l | grep  -E "\+neon|vrelease|release\+" | awk '{print $2}')
DEBIAN_FRONTEND=noninteractive apt-get -y autopurge

if [ "$llang" = "de" ]; then
    echo "Repariere die entfernten libs"
else
    echo "Fix for missing Libs"
fi
read -p "Enter"
DEBIAN_FRONTEND=noninteractive apt-get --assume-yes -o dpkg::options::="--force-confold" -o dpkg::options::="--force-confold" --reinstall install $(dpkg -l | awk '/~tux1/{print $2}') plasma-desktop tuxedoos-desktop language-selector-common

if [ "$llang" = "de" ]; then
    echo "Erzeuge Liste automatisch installierter Pakete"
else
    echo "Create list of automaticly installed packages"
fi
read -p "Enter"
apt-mark showauto > /tmp/auto.txt
DEBIAN_FRONTEND=noninteractive apt-get -y purge ~c
apt-mark auto $(</tmp/auto.txt)

if [ "$pimaddons" = "1" ]; then
    DEBIAN_FRONTEND=noninteractive apt-get --assume-yes --allow-downgrades install kdepim-addons
fi

if [ "$llang" = "de" ]; then
    echo "Lösche /home/*/.cache"
else
    echo "Remove /home/*/.cache"
fi
read -p "Enter"
rm -rf /home/*/.cache
systemctl unmask packagekit
DEBIAN_FRONTEND=noninteractive apt-get -y purge upgrader
DEBIAN_FRONTEND=noninteractive apt-get -y install tuxedo-control-center
rm -f /etc/apt/preferences.d/30-*

echo "Reboot"
read -p "Enter"
reboot
